<ion-view title="Ångesthierarki">

<ion-nav-buttons side="left">
<button ui-sref="home" class="button ion-back-custom">Startsida</button>
</ion-nav-buttons>
<ion-content>

<ion-slide-box on-slide-changed="slideChanged(index)" show-pager="1">

<ion-slide ng-repeat="homeworkSlide in homeworkSlides">
	<h4 class="steps">{{$index+1}} av {{homeworkSlides.length}}</h4>
	<div class="whitebg">
		<h3 class="someheader">
			{{homeworkSlide.title}}
		</h3>

		
		<ion-list ng-if="homeworkSlide.type=='reorder'" can-reorder="true"
		show-reorder="true"><!-- case home work = reorder -->
			<ion-item ng-repeat="item in homeworkSlide.list">
				{{item}}
				<ion-reorder-button class="ion-navicon"
				on-reorder="moveItem(item, $fromIndex, $toIndex)"></ion-reorder-button>
			</ion-item>
		</ion-list>

		
		<div ng-if="homeworkSlide.type=='dynamic_button'" class="paddedleft">
			<!-- case home work = "dynamic_button" -->
			<span ng-repeat="dbutton in homeworkSlide.buttons" >
			<button  data-link="{{dbutton.link}}" class="button button-positive" ng-click="">
				{{dbutton.label}}
			</button>&nbsp;</span>
		</div>

		
		<div ng-if="homeworkSlide.type=='form'" class="padded">
		
		<!-- case home work = "form" -->
			<div class="customtextbox">
				<!-- <textarea name="userinput" class="" cols="10" rows="5" ></textarea> -->
				<textarea ng-model="myModel" tagged-autogrow></textarea>
			</div>

		</div>


	</div>
</ion-slide>

<!--
<ion-slide>
	<h4 class="steps">1 av 5</h4>

	<div class="whitebg">
		<h3 class="someheader">
			Det här är din lista över saker som ger dig ångest
		</h3>
		<ion-list can-reorder="true"
		show-reorder="true">
			<ion-item ng-repeat="item in [1,2,3,4,5]">
				Item {{item}}
				<ion-reorder-button class="ion-navicon"
				on-reorder="moveItem(item, $fromIndex, $toIndex)"></ion-reorder-button>
			</ion-item>
		</ion-list>
	</div>
</ion-slide>


<ion-slide>
	<h4 class="steps">4 av 4</h4>
	<div class="whitebg">
		<h3 class="someheader">
			Stämmer beskrivningen med det som vi gick igenom?
		</h3>

		<div class="paddedleft">

			<button class="button button-positive" ng-click="">
				Stämmer
			</button>

			<button class="button button-positive" ng-click="">Stämmer ej
			</button>
		</div>
	</div>
</ion-slide>

<ion-slide>
	<h4 class="steps">4 av 4</h4>
	<div class="whitebg">
		<h3 class="someheader">
			Beskriv dina övriga känslor och eventuella kroppsliga reaktioner
		</h3>

		<div class="padded">
			<div class="customtextbox">
				
				<textarea ng-model="myModel" tagged-autogrow></textarea>
			</div>

		</div>
	</div>
</ion-slide>

-->
</ion-slide-box>

<button class="button button-positive button-clear button-icon icon slideing ion-arrow-left no-animation"
ng-click="previous()" ng-if="slideIndex > 0">
Previous Slide
</button>


<button class="button button-positive button-clear button-icon icon slideing ion-arrow-right no-animation"
ng-click="next()" ng-if="slideIndex != 2">
Next
</button>
<!-- <div class="bar bar-footer">
	
	
	<button class="button button-positive button-clear button-icon icon ion-arrow-left no-animation"
	ng-click="previous()" ng-if="slideIndex > 0">
	Previous Slide
</button>

</div> -->
</ion-content>
</ion-view>